GpgFrontend Project A Free, Powerful, Easy-to-Use, Compact, Cross-Platform, and Installation-Free OpenPGP(pgp) Crypto Tool.

Public Member Functions | Protected Member Functions | Protected Attributes | Private Slots | List of all members
GpgFrontend::UI::ChoosePage Class Reference
Inheritance diagram for GpgFrontend::UI::ChoosePage:
Collaboration diagram for GpgFrontend::UI::ChoosePage:

## Public Member Functions
| ChoosePage (QWidget *parent=nullptr)
| Construct a new Choose Page object. More...

## Protected Member Functions
int | nextId () const override

## Protected Attributes
int | next_page_

## Private Slots
void | slot_jump_page (const QString &page)

## Constructor & Destructor Documentation

## ◆ ChoosePage()

GpgFrontend::UI::ChoosePage::ChoosePage | ( | QWidget * | parent = `nullptr` | ) |
| explicit

Construct a new Choose Page object.

Parameters

  parent |

## Member Function Documentation

## ◆ nextId()

int GpgFrontend::UI::ChoosePage::nextId | ( |  | ) | const
| override protected

Returns
  int

## ◆ slot_jump_page

void GpgFrontend::UI::ChoosePage::slot_jump_page | ( | const QString & | page | ) |
| private slot

Parameters

  page |

The documentation for this class was generated from the following files:

- src/ui/dialog/Wizard.h
- src/ui/dialog/Wizard.cpp